// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 46;
	objects = {

/* Begin PBXBuildFile section */
		0C7409A71FC65FD100259E45 /* maxlib.h in Headers */ = {isa = PBXBuildFile; fileRef = 0C7409A31FC65FD100259E45 /* maxlib.h */; };
		0C7409A81FC65FD100259E45 /* firmatalib.h in Headers */ = {isa = PBXBuildFile; fileRef = 0C7409A41FC65FD100259E45 /* firmatalib.h */; };
		0C7409A91FC65FD100259E45 /* maxlib.c in Sources */ = {isa = PBXBuildFile; fileRef = 0C7409A51FC65FD100259E45 /* maxlib.c */; };
		0C7409AA1FC65FD100259E45 /* firmatalib.c in Sources */ = {isa = PBXBuildFile; fileRef = 0C7409A61FC65FD100259E45 /* firmatalib.c */; };
		0C7CC0D61F904D120011BFAE /* serial.c in Sources */ = {isa = PBXBuildFile; fileRef = 0C7CC0D21F904D120011BFAE /* serial.c */; };
		0C7CC0D71F904D120011BFAE /* serial.h in Headers */ = {isa = PBXBuildFile; fileRef = 0C7CC0D31F904D120011BFAE /* serial.h */; };
		0C7CC1051F9058D30011BFAE /* IOKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0C7CC1041F9058D30011BFAE /* IOKit.framework */; };
		0C7CC1071F9058E00011BFAE /* CoreFoundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0C7CC1061F9058E00011BFAE /* CoreFoundation.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		0C7409A31FC65FD100259E45 /* maxlib.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = maxlib.h; sourceTree = "<group>"; };
		0C7409A41FC65FD100259E45 /* firmatalib.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = firmatalib.h; sourceTree = "<group>"; };
		0C7409A51FC65FD100259E45 /* maxlib.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = maxlib.c; sourceTree = "<group>"; };
		0C7409A61FC65FD100259E45 /* firmatalib.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = firmatalib.c; sourceTree = "<group>"; };
		0C7CC0C91F904CDA0011BFAE /* libFirmataClient.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = libFirmataClient.dylib; sourceTree = BUILT_PRODUCTS_DIR; };
		0C7CC0D21F904D120011BFAE /* serial.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = serial.c; sourceTree = "<group>"; };
		0C7CC0D31F904D120011BFAE /* serial.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = serial.h; sourceTree = "<group>"; };
		0C7CC1041F9058D30011BFAE /* IOKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = IOKit.framework; path = System/Library/Frameworks/IOKit.framework; sourceTree = SDKROOT; };
		0C7CC1061F9058E00011BFAE /* CoreFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreFoundation.framework; path = System/Library/Frameworks/CoreFoundation.framework; sourceTree = SDKROOT; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		0C7CC0C61F904CDA0011BFAE /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0C7CC1071F9058E00011BFAE /* CoreFoundation.framework in Frameworks */,
				0C7CC1051F9058D30011BFAE /* IOKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0C7CC0C01F904CDA0011BFAE = {
			isa = PBXGroup;
			children = (
				0C7CC10C1F906E2F0011BFAE /* Test */,
				0C7CC1081F906DC90011BFAE /* Source */,
				0C7CC1091F906DEC0011BFAE /* Include */,
				0C7CC0CA1F904CDA0011BFAE /* Products */,
				0C7CC1031F9058D30011BFAE /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		0C7CC0CA1F904CDA0011BFAE /* Products */ = {
			isa = PBXGroup;
			children = (
				0C7CC0C91F904CDA0011BFAE /* libFirmataClient.dylib */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		0C7CC1031F9058D30011BFAE /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				0C7CC1061F9058E00011BFAE /* CoreFoundation.framework */,
				0C7CC1041F9058D30011BFAE /* IOKit.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		0C7CC1081F906DC90011BFAE /* Source */ = {
			isa = PBXGroup;
			children = (
				0C7409A51FC65FD100259E45 /* maxlib.c */,
				0C7409A61FC65FD100259E45 /* firmatalib.c */,
				0C7CC0D21F904D120011BFAE /* serial.c */,
			);
			name = Source;
			sourceTree = "<group>";
		};
		0C7CC1091F906DEC0011BFAE /* Include */ = {
			isa = PBXGroup;
			children = (
				0C7409A41FC65FD100259E45 /* firmatalib.h */,
				0C7409A31FC65FD100259E45 /* maxlib.h */,
				0C7CC0D31F904D120011BFAE /* serial.h */,
			);
			name = Include;
			sourceTree = "<group>";
		};
		0C7CC10C1F906E2F0011BFAE /* Test */ = {
			isa = PBXGroup;
			children = (
			);
			name = Test;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXHeadersBuildPhase section */
		0C7CC0C71F904CDA0011BFAE /* Headers */ = {
			isa = PBXHeadersBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0C7CC0D71F904D120011BFAE /* serial.h in Headers */,
				0C7409A81FC65FD100259E45 /* firmatalib.h in Headers */,
				0C7409A71FC65FD100259E45 /* maxlib.h in Headers */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXHeadersBuildPhase section */

/* Begin PBXNativeTarget section */
		0C7CC0C81F904CDA0011BFAE /* FirmataClient */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0C7CC0CD1F904CDA0011BFAE /* Build configuration list for PBXNativeTarget "FirmataClient" */;
			buildPhases = (
				0C7CC0C51F904CDA0011BFAE /* Sources */,
				0C7CC0C61F904CDA0011BFAE /* Frameworks */,
				0C7CC0C71F904CDA0011BFAE /* Headers */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = FirmataClient;
			productName = FirmataClient;
			productReference = 0C7CC0C91F904CDA0011BFAE /* libFirmataClient.dylib */;
			productType = "com.apple.product-type.library.dynamic";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		0C7CC0C11F904CDA0011BFAE /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0830;
				ORGANIZATIONNAME = "Orly Natan";
				TargetAttributes = {
					0C7CC0C81F904CDA0011BFAE = {
						CreatedOnToolsVersion = 8.3.3;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 0C7CC0C41F904CDA0011BFAE /* Build configuration list for PBXProject "FirmataClient" */;
			compatibilityVersion = "Xcode 3.2";
			developmentRegion = English;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 0C7CC0C01F904CDA0011BFAE;
			productRefGroup = 0C7CC0CA1F904CDA0011BFAE /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				0C7CC0C81F904CDA0011BFAE /* FirmataClient */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		0C7CC0C51F904CDA0011BFAE /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0C7CC0D61F904D120011BFAE /* serial.c in Sources */,
				0C7409AA1FC65FD100259E45 /* firmatalib.c in Sources */,
				0C7409A91FC65FD100259E45 /* maxlib.c in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		0C7CC0CB1F904CDA0011BFAE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.12;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		0C7CC0CC1F904CDA0011BFAE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++0x";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu99;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.12;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = macosx;
			};
			name = Release;
		};
		0C7CC0CE1F904CDA0011BFAE /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				EXECUTABLE_PREFIX = lib;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		0C7CC0CF1F904CDA0011BFAE /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				DYLIB_COMPATIBILITY_VERSION = 1;
				DYLIB_CURRENT_VERSION = 1;
				EXECUTABLE_PREFIX = lib;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		0C7CC0C41F904CDA0011BFAE /* Build configuration list for PBXProject "FirmataClient" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0C7CC0CB1F904CDA0011BFAE /* Debug */,
				0C7CC0CC1F904CDA0011BFAE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0C7CC0CD1F904CDA0011BFAE /* Build configuration list for PBXNativeTarget "FirmataClient" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0C7CC0CE1F904CDA0011BFAE /* Debug */,
				0C7CC0CF1F904CDA0011BFAE /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 0C7CC0C11F904CDA0011BFAE /* Project object */;
}
